/* No representations are made concerning either the merchantability of
   this software or the suitability of this software for any particular
   purpose. It is provided "as is" without express or implied warranty
   of any kind.

   License to copy and use this software is granted provided that these
   notices are retained in any copies of any part of this documentation
   and/or software.
 */

// For handling offset config file

class MicrolazeOffset {
public:
	MicrolazeOffset ();
	BOOL loadFromFile (char *filename);
	BOOL saveToFile (char *filename);

	char *xOffsetName() {return "xoffset";}
	double xOffset() {return _xOffset;}
	void setXOffset (double value) {_xOffset = value;}
	void setXOffset (char *value);

	char *yOffsetName() {return "yoffset";}
	double yOffset() {return _yOffset;}
	void setYOffset (double value) {_yOffset = value;}
	void setYOffset (char *value);

	char *angleOffsetName() {return "angleoffset";}
	double angleOffset() {return _angleOffset;}
	void setAngleOffset (double value) {_angleOffset = value;}
	void setAngleOffset (char *value);

private:
	double _xOffset, _yOffset, _angleOffset;
};

