/* No representations are made concerning either the merchantability of
   this software or the suitability of this software for any particular
   purpose. It is provided "as is" without express or implied warranty
   of any kind.

   License to copy and use this software is granted provided that these
   notices are retained in any copies of any part of this documentation
   and/or software.
 */

class Quiklaze {
public:
	Quiklaze ();
	Quiklaze 
	  (int wavelength, int energyRange, int energyLevel, int pulseRate, 
	   int markerSizeX, int markerSizeY);
	~Quiklaze ();
	void command (char *command);

	BOOL firing () { return _firing;}

	void startFiring ();
	void stopFiring ();
	void setWavelength (int wavelength);
	void setEnergyRange (int range);
	void setEnergyLevel (int level);
	void setPulseRate (int pulseRate);
	void setMarkerSize (int x, int y);
	int wavelength() {return _wavelength;}
	int energyRange() {return _energyRange;}
	int energyLevel() {return _energyLevel;}
	int pulseRate() {return _pulseRate;}
	int markerSizeX() {return _markerSizeX;}
	int markerSizeY() {return _markerSizeY;}

private:
	void initialize 
	  (int wavelength, int energyRange, int energyLevel, int pulseRate, 
	   int markerSizeX, int markerSizeY);
	HANDLE _hComm;
	BOOL _firing;
	int _wavelength;
	int _energyRange, _energyLevel;
	int _pulseRate;
	int _markerSizeX, _markerSizeY;
};

